Skip to main content
`Ctrl`+`K`

# PetscHMapObjGetPairs

Get all (key,value) pairs from a hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjGetPairs(PetscHMapObj ht, PetscInt *off, PetscInt64 karray[], PetscObject varray[])

## Input Parameters

- ht - The hash table

- off - Input offset in array (usually zero)

- karray - Array to put hash table keys in

- varray - Array to put hash table values in

## Output Parameters

- off - Output offset in array (output offset = input offset + hash table size)

- karray - Array filled with the hash table keys

- varray - Array filled with the hash table values

## See Also

`PetscHSetObjGetSize()`, `PetscHMapObjGetKeys()`, `PetscHMapObjGetVals()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages